# azure.mgmt.cosmosdb.models module

exception `azure.mgmt.cosmosdb.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.cosmosdb.models.``ARMProxyResource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The resource model definition for a ARM proxy resource. It will have everything other than required location and tags.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the database account.
  - name (str) – The name of the database account.
  - type (str) – The type of Azure resource.

class `azure.mgmt.cosmosdb.models.``ARMResourceProperties`(*, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The core properties of ARM resources.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –

class `azure.mgmt.cosmosdb.models.``AzureEntityResource`(**kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.Resource`

  The resource model definition for a Azure Resource Manager resource with an etag.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.
  - etag (str) – Resource Etag.

class `azure.mgmt.cosmosdb.models.``Capability`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB capability object.

  Parameters: | name (str) – Name of the Cosmos DB capability. For example, “name”: “EnableCassandra”. Current values also include “EnableTable” and “EnableGremlin”.

class `azure.mgmt.cosmosdb.models.``CassandraKeyspaceCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB Cassandra keyspace.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (CassandraKeyspaceResource) – Required. The standard JSON format of a Cassandra keyspace
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``CassandraKeyspaceGetPropertiesResource`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  CassandraKeyspaceGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Name of the Cosmos DB Cassandra keyspace

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``CassandraKeyspaceGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB Cassandra keyspace.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (CassandraKeyspaceGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``CassandraKeyspaceResource`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB Cassandra keyspace resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Name of the Cosmos DB Cassandra keyspace

class `azure.mgmt.cosmosdb.models.``CassandraPartitionKey`(*, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB Cassandra table partition key.

  Parameters: | name (str) – Name of the Cosmos DB Cassandra table partition key

class `azure.mgmt.cosmosdb.models.``CassandraSchema`(*, columns=None, partition_keys=None, cluster_keys=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB Cassandra table schema.

  Parameters:

  - columns (list[Column]) – List of Cassandra table columns.
  - partition_keys (list[CassandraPartitionKey]) – List of partition key.
  - cluster_keys (list[ClusterKey]) – List of cluster key.

class `azure.mgmt.cosmosdb.models.``CassandraTableCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB Cassandra table.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (CassandraTableResource) – Required. The standard JSON format of a Cassandra table
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``CassandraTableGetPropertiesResource`(*, id: str, default_ttl: int = None, schema=None, **kwargs)

  Bases: `msrest.serialization.Model`

  CassandraTableGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB Cassandra table
  - default_ttl (int) – Time to live of the Cosmos DB Cassandra table
  - schema (CassandraSchema) – Schema of the Cosmos DB Cassandra table

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``CassandraTableGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB Cassandra table.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (CassandraTableGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``CassandraTableResource`(*, id: str, default_ttl: int = None, schema=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB Cassandra table resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB Cassandra table
  - default_ttl (int) – Time to live of the Cosmos DB Cassandra table
  - schema (CassandraSchema) – Schema of the Cosmos DB Cassandra table

class `azure.mgmt.cosmosdb.models.``ClusterKey`(*, name: str = None, order_by: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB Cassandra table cluster key.

  Parameters:

  - name (str) – Name of the Cosmos DB Cassandra table cluster key
  - order_by (str) – Order of the Cosmos DB Cassandra table cluster key, only support “Asc” and “Desc”

class `azure.mgmt.cosmosdb.models.``Column`(*, name: str = None, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB Cassandra table column.

  Parameters:

  - name (str) – Name of the Cosmos DB Cassandra table column
  - type (str) – Type of the Cosmos DB Cassandra table column

class `azure.mgmt.cosmosdb.models.``CompositePath`(*, path: str = None, order=None, **kwargs)

  Bases: `msrest.serialization.Model`

  CompositePath.

  Parameters:

  - path (str) – The path for which the indexing behavior applies to. Index paths typically start with root and end with wildcard (/path/*)
  - order (str or CompositePathSortOrder) – Sort order for composite paths. Possible values include: ‘Ascending’, ‘Descending’

class `azure.mgmt.cosmosdb.models.``ConflictResolutionPolicy`(*, mode='LastWriterWins', conflict_resolution_path: str = None, conflict_resolution_procedure: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The conflict resolution policy for the container.

  Parameters:

  - mode (str or ConflictResolutionMode) – Indicates the conflict resolution mode. Possible values include: ‘LastWriterWins’, ‘Custom’. Default value: “LastWriterWins” .
  - conflict_resolution_path (str) – The conflict resolution path in the case of LastWriterWins mode.
  - conflict_resolution_procedure (str) – The procedure to resolve conflicts in the case of custom mode.

class `azure.mgmt.cosmosdb.models.``ConsistencyPolicy`(*, default_consistency_level, max_staleness_prefix: int = None, max_interval_in_seconds: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The consistency policy for the Cosmos DB database account.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - default_consistency_level (str or DefaultConsistencyLevel) – Required. The default consistency level and configuration settings of the Cosmos DB account. Possible values include: ‘Eventual’, ‘Session’, ‘BoundedStaleness’, ‘Strong’, ‘ConsistentPrefix’
  - max_staleness_prefix (long) – When used with the Bounded Staleness consistency level, this value represents the number of stale requests tolerated. Accepted range for this value is 1 – 2,147,483,647. Required when defaultConsistencyPolicy is set to ‘BoundedStaleness’.
  - max_interval_in_seconds (int) – When used with the Bounded Staleness consistency level, this value represents the time amount of staleness (in seconds) tolerated. Accepted range for this value is 5 - 86400. Required when defaultConsistencyPolicy is set to ‘BoundedStaleness’.

class `azure.mgmt.cosmosdb.models.``ContainerPartitionKey`(*, paths=None, kind='Hash', version: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The configuration of the partition key to be used for partitioning data into multiple partitions.

  Parameters:

  - paths (list[str]) – List of paths using which data within the container can be partitioned
  - kind (str or PartitionKind) – Indicates the kind of algorithm used for partitioning. Possible values include: ‘Hash’, ‘Range’. Default value: “Hash” .
  - version (int) – Indicates the version of the partition key definition

class `azure.mgmt.cosmosdb.models.``DatabaseAccountConnectionString`(**kwargs)

  Bases: `msrest.serialization.Model`

  Connection string for the Cosmos DB account.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - connection_string (str) – Value of the connection string
  - description (str) – Description of the connection string

class `azure.mgmt.cosmosdb.models.``DatabaseAccountCreateUpdateParameters`(*, locations, location: str = None, tags=None, kind='GlobalDocumentDB', consistency_policy=None, ip_range_filter: str = None, is_virtual_network_filter_enabled: bool = None, enable_automatic_failover: bool = None, capabilities=None, virtual_network_rules=None, enable_multiple_write_locations: bool = None, enable_cassandra_connector: bool = None, connector_offer=None, disable_key_based_metadata_write_access: bool = None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB database accounts.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.
  - database_account_offer_type (str) – Required. The offer type for the database. Default value: “Standard” .

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - kind (str or DatabaseAccountKind) – Indicates the type of database account. This can only be set at database account creation. Possible values include: ‘GlobalDocumentDB’, ‘MongoDB’, ‘Parse’. Default value: “GlobalDocumentDB” .
  - consistency_policy (ConsistencyPolicy) – The consistency policy for the Cosmos DB account.
  - locations (list[Location]) – Required. An array that contains the georeplication locations enabled for the Cosmos DB account.
  - ip_range_filter (str) – Cosmos DB Firewall Support: This value specifies the set of IP addresses or IP address ranges in CIDR form to be included as the allowed list of client IPs for a given database account. IP addresses/ranges must be comma separated and must not contain any spaces.
  - is_virtual_network_filter_enabled (bool) – Flag to indicate whether to enable/disable Virtual Network ACL rules.
  - enable_automatic_failover (bool) – Enables automatic failover of the write region in the rare event that the region is unavailable due to an outage. Automatic failover will result in a new write region for the account and is chosen based on the failover priorities configured for the account.
  - capabilities (list[Capability]) – List of Cosmos DB capabilities for the account
  - virtual_network_rules (list[VirtualNetworkRule]) – List of Virtual Network ACL rules configured for the Cosmos DB account.
  - enable_multiple_write_locations (bool) – Enables the account to write in multiple locations
  - enable_cassandra_connector (bool) – Enables the cassandra connector on the Cosmos DB C* account
  - connector_offer (str or ConnectorOffer) – The cassandra connector offer type for the Cosmos DB database C* account. Possible values include: ‘Small’
  - disable_key_based_metadata_write_access (bool) – Disable write operations on metadata resources (databases, containers, throughput) via account keys

  `database_account_offer_type` = 'Standard'

class `azure.mgmt.cosmosdb.models.``DatabaseAccountGetResults`(*, location: str = None, tags=None, kind='GlobalDocumentDB', provisioning_state: str = None, ip_range_filter: str = None, is_virtual_network_filter_enabled: bool = None, enable_automatic_failover: bool = None, consistency_policy=None, capabilities=None, virtual_network_rules=None, enable_multiple_write_locations: bool = None, enable_cassandra_connector: bool = None, connector_offer=None, disable_key_based_metadata_write_access: bool = None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB database account.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.
  - document_endpoint (str) – The connection endpoint for the Cosmos DB database account.
  - database_account_offer_type (str or DatabaseAccountOfferType) – The offer type for the Cosmos DB database account. Default value: Standard. Possible values include: ‘Standard’
  - write_locations (list[Location]) – An array that contains the write location for the Cosmos DB account.
  - read_locations (list[Location]) – An array that contains of the read locations enabled for the Cosmos DB account.
  - locations (list[Location]) – An array that contains all of the locations enabled for the Cosmos DB account.
  - failover_policies (list[FailoverPolicy]) – An array that contains the regions ordered by their failover priorities.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - kind (str or DatabaseAccountKind) – Indicates the type of database account. This can only be set at database account creation. Possible values include: ‘GlobalDocumentDB’, ‘MongoDB’, ‘Parse’. Default value: “GlobalDocumentDB” .
  - provisioning_state (str) –
  - ip_range_filter (str) – Cosmos DB Firewall Support: This value specifies the set of IP addresses or IP address ranges in CIDR form to be included as the allowed list of client IPs for a given database account. IP addresses/ranges must be comma separated and must not contain any spaces.
  - is_virtual_network_filter_enabled (bool) – Flag to indicate whether to enable/disable Virtual Network ACL rules.
  - enable_automatic_failover (bool) – Enables automatic failover of the write region in the rare event that the region is unavailable due to an outage. Automatic failover will result in a new write region for the account and is chosen based on the failover priorities configured for the account.
  - consistency_policy (ConsistencyPolicy) – The consistency policy for the Cosmos DB database account.
  - capabilities (list[Capability]) – List of Cosmos DB capabilities for the account
  - virtual_network_rules (list[VirtualNetworkRule]) – List of Virtual Network ACL rules configured for the Cosmos DB account.
  - enable_multiple_write_locations (bool) – Enables the account to write in multiple locations
  - enable_cassandra_connector (bool) – Enables the cassandra connector on the Cosmos DB C* account
  - connector_offer (str or ConnectorOffer) – The cassandra connector offer type for the Cosmos DB database C* account. Possible values include: ‘Small’
  - disable_key_based_metadata_write_access (bool) – Disable write operations on metadata resources (databases, containers, throughput) via account keys

class `azure.mgmt.cosmosdb.models.``DatabaseAccountListConnectionStringsResult`(*, connection_strings=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The connection strings for the given database account.

  Parameters: | connection_strings (list[DatabaseAccountConnectionString]) – An array that contains the connection strings for the Cosmos DB account.

class `azure.mgmt.cosmosdb.models.``DatabaseAccountListKeysResult`(**kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.DatabaseAccountListReadOnlyKeysResult`

  The access keys for the given database account.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - primary_readonly_master_key (str) – Base 64 encoded value of the primary read-only key.
  - secondary_readonly_master_key (str) – Base 64 encoded value of the secondary read-only key.
  - primary_master_key (str) – Base 64 encoded value of the primary read-write key.
  - secondary_master_key (str) – Base 64 encoded value of the secondary read-write key.

class `azure.mgmt.cosmosdb.models.``DatabaseAccountListReadOnlyKeysResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  The read-only access keys for the given database account.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - primary_readonly_master_key (str) – Base 64 encoded value of the primary read-only key.
  - secondary_readonly_master_key (str) – Base 64 encoded value of the secondary read-only key.

class `azure.mgmt.cosmosdb.models.``DatabaseAccountRegenerateKeyParameters`(*, key_kind, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters to regenerate the keys within the database account.

  All required parameters must be populated in order to send to Azure.

  Parameters: | key_kind (str or KeyKind) – Required. The access key to regenerate. Possible values include: ‘primary’, ‘secondary’, ‘primaryReadonly’, ‘secondaryReadonly’

class `azure.mgmt.cosmosdb.models.``DatabaseAccountUpdateParameters`(*, tags=None, location: str = None, consistency_policy=None, locations=None, ip_range_filter: str = None, is_virtual_network_filter_enabled: bool = None, enable_automatic_failover: bool = None, capabilities=None, virtual_network_rules=None, enable_multiple_write_locations: bool = None, enable_cassandra_connector: bool = None, connector_offer=None, disable_key_based_metadata_write_access: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters for patching Azure Cosmos DB database account properties.

  Parameters:

  - tags (dict[str, str]) –
  - location (str) – The location of the resource group to which the resource belongs.
  - consistency_policy (ConsistencyPolicy) – The consistency policy for the Cosmos DB account.
  - locations (list[Location]) – An array that contains the georeplication locations enabled for the Cosmos DB account.
  - ip_range_filter (str) – Cosmos DB Firewall Support: This value specifies the set of IP addresses or IP address ranges in CIDR form to be included as the allowed list of client IPs for a given database account. IP addresses/ranges must be comma separated and must not contain any spaces.
  - is_virtual_network_filter_enabled (bool) – Flag to indicate whether to enable/disable Virtual Network ACL rules.
  - enable_automatic_failover (bool) – Enables automatic failover of the write region in the rare event that the region is unavailable due to an outage. Automatic failover will result in a new write region for the account and is chosen based on the failover priorities configured for the account.
  - capabilities (list[Capability]) – List of Cosmos DB capabilities for the account
  - virtual_network_rules (list[VirtualNetworkRule]) – List of Virtual Network ACL rules configured for the Cosmos DB account.
  - enable_multiple_write_locations (bool) – Enables the account to write in multiple locations
  - enable_cassandra_connector (bool) – Enables the cassandra connector on the Cosmos DB C* account
  - connector_offer (str or ConnectorOffer) – The cassandra connector offer type for the Cosmos DB database C* account. Possible values include: ‘Small’
  - disable_key_based_metadata_write_access (bool) – Disable write operations on metadata resources (databases, containers, throughput) via account keys

class `azure.mgmt.cosmosdb.models.``ErrorResponse`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error Response.

  Parameters:

  - code (str) – Error code.
  - message (str) – Error message indicating why the operation failed.

class `azure.mgmt.cosmosdb.models.``ExcludedPath`(*, path: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ExcludedPath.

  Parameters: | path (str) – The path for which the indexing behavior applies to. Index paths typically start with root and end with wildcard (/path/*)

class `azure.mgmt.cosmosdb.models.``ExtendedResourceProperties`(**kwargs)

  Bases: `msrest.serialization.Model`

  The system generated resource properties associated with SQL databases, SQL containers, Gremlin databases and Gremlin graphs.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``FailoverPolicies`(*, failover_policies, **kwargs)

  Bases: `msrest.serialization.Model`

  The list of new failover policies for the failover priority change.

  All required parameters must be populated in order to send to Azure.

  Parameters: | failover_policies (list[FailoverPolicy]) – Required. List of failover policies.

class `azure.mgmt.cosmosdb.models.``FailoverPolicy`(*, location_name: str = None, failover_priority: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The failover policy for a given region of a database account.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | id (str) – The unique identifier of the region in which the database account replicates to. Example: &lt;accountName&gt;-&lt;locationName&gt;.

  Parameters:

  - location_name (str) – The name of the region in which the database account exists.
  - failover_priority (int) – The failover priority of the region. A failover priority of 0 indicates a write region. The maximum value for a failover priority = (total number of regions - 1). Failover priority values must be unique for each of the regions in which the database account exists.

class `azure.mgmt.cosmosdb.models.``GremlinDatabaseCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB Gremlin database.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (GremlinDatabaseResource) – Required. The standard JSON format of a Gremlin database
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``GremlinDatabaseGetPropertiesResource`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  GremlinDatabaseGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Name of the Cosmos DB Gremlin database

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``GremlinDatabaseGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB Gremlin database.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (GremlinDatabaseGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``GremlinDatabaseResource`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB Gremlin database resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Name of the Cosmos DB Gremlin database

class `azure.mgmt.cosmosdb.models.``GremlinGraphCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB Gremlin graph.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (GremlinGraphResource) – Required. The standard JSON format of a Gremlin graph
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``GremlinGraphGetPropertiesResource`(*, id: str, indexing_policy=None, partition_key=None, default_ttl: int = None, unique_key_policy=None, conflict_resolution_policy=None, **kwargs)

  Bases: `msrest.serialization.Model`

  GremlinGraphGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB Gremlin graph
  - indexing_policy (IndexingPolicy) – The configuration of the indexing policy. By default, the indexing is automatic for all document paths within the graph
  - partition_key (ContainerPartitionKey) – The configuration of the partition key to be used for partitioning data into multiple partitions
  - default_ttl (int) – Default time to live
  - unique_key_policy (UniqueKeyPolicy) – The unique key policy configuration for specifying uniqueness constraints on documents in the collection in the Azure Cosmos DB service.
  - conflict_resolution_policy (ConflictResolutionPolicy) – The conflict resolution policy for the graph.

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``GremlinGraphGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB Gremlin graph.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (GremlinGraphGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``GremlinGraphResource`(*, id: str, indexing_policy=None, partition_key=None, default_ttl: int = None, unique_key_policy=None, conflict_resolution_policy=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB Gremlin graph resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB Gremlin graph
  - indexing_policy (IndexingPolicy) – The configuration of the indexing policy. By default, the indexing is automatic for all document paths within the graph
  - partition_key (ContainerPartitionKey) – The configuration of the partition key to be used for partitioning data into multiple partitions
  - default_ttl (int) – Default time to live
  - unique_key_policy (UniqueKeyPolicy) – The unique key policy configuration for specifying uniqueness constraints on documents in the collection in the Azure Cosmos DB service.
  - conflict_resolution_policy (ConflictResolutionPolicy) – The conflict resolution policy for the graph.

class `azure.mgmt.cosmosdb.models.``IncludedPath`(*, path: str = None, indexes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The paths that are included in indexing.

  Parameters:

  - path (str) – The path for which the indexing behavior applies to. Index paths typically start with root and end with wildcard (/path/*)
  - indexes (list[Indexes]) – List of indexes for this path

class `azure.mgmt.cosmosdb.models.``Indexes`(*, data_type='String', precision: int = None, kind='Hash', **kwargs)

  Bases: `msrest.serialization.Model`

  The indexes for the path.

  Parameters:

  - data_type (str or DataType) – The datatype for which the indexing behavior is applied to. Possible values include: ‘String’, ‘Number’, ‘Point’, ‘Polygon’, ‘LineString’, ‘MultiPolygon’. Default value: “String” .
  - precision (int) – The precision of the index. -1 is maximum precision.
  - kind (str or IndexKind) – Indicates the type of index. Possible values include: ‘Hash’, ‘Range’, ‘Spatial’. Default value: “Hash” .

class `azure.mgmt.cosmosdb.models.``IndexingPolicy`(*, automatic: bool = None, indexing_mode='Consistent', included_paths=None, excluded_paths=None, composite_indexes=None, spatial_indexes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB indexing policy.

  Parameters:

  - automatic (bool) – Indicates if the indexing policy is automatic
  - indexing_mode (str or IndexingMode) – Indicates the indexing mode. Possible values include: ‘Consistent’, ‘Lazy’, ‘None’. Default value: “Consistent” .
  - included_paths (list[IncludedPath]) – List of paths to include in the indexing
  - excluded_paths (list[ExcludedPath]) – List of paths to exclude from indexing
  - composite_indexes (list[list[CompositePath]]) – List of composite path list
  - spatial_indexes (list[SpatialSpec]) – List of spatial specifics

class `azure.mgmt.cosmosdb.models.``Location`(*, location_name: str = None, provisioning_state: str = None, failover_priority: int = None, is_zone_redundant: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A region in which the Azure Cosmos DB database account is deployed.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique identifier of the region within the database account. Example: &lt;accountName&gt;-&lt;locationName&gt;.
  - document_endpoint (str) – The connection endpoint for the specific region. Example: https://&lt;accountName&gt;-&lt;locationName&gt;.documents.azure.com:443/

  Parameters:

  - location_name (str) – The name of the region.
  - provisioning_state (str) –
  - failover_priority (int) – The failover priority of the region. A failover priority of 0 indicates a write region. The maximum value for a failover priority = (total number of regions - 1). Failover priority values must be unique for each of the regions in which the database account exists.
  - is_zone_redundant (bool) – Flag to indicate whether or not this region is an AvailabilityZone region

class `azure.mgmt.cosmosdb.models.``Metric`(*, unit=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Metric data.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - start_time (datetime) – The start time for the metric (ISO-8601 format).
  - end_time (datetime) – The end time for the metric (ISO-8601 format).
  - time_grain (str) – The time grain to be used to summarize the metric values.
  - name (MetricName) – The name information for the metric.
  - metric_values (list[MetricValue]) – The metric values for the specified time window and timestep.

  Parameters: | unit (str or UnitType) – The unit of the metric. Possible values include: ‘Count’, ‘Bytes’, ‘Seconds’, ‘Percent’, ‘CountPerSecond’, ‘BytesPerSecond’, ‘Milliseconds’

class `azure.mgmt.cosmosdb.models.``MetricAvailability`(**kwargs)

  Bases: `msrest.serialization.Model`

  The availability of the metric.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - time_grain (str) – The time grain to be used to summarize the metric values.
  - retention (str) – The retention for the metric values.

class `azure.mgmt.cosmosdb.models.``MetricDefinition`(*, unit=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The definition of a metric.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - metric_availabilities (list[MetricAvailability]) – The list of metric availabilities for the account.
  - primary_aggregation_type (str or PrimaryAggregationType) – The primary aggregation type of the metric. Possible values include: ‘None’, ‘Average’, ‘Total’, ‘Minimum’, ‘Maximum’, ‘Last’
  - resource_uri (str) – The resource uri of the database.
  - name (MetricName) – The name information for the metric.

  Parameters: | unit (str or UnitType) – The unit of the metric. Possible values include: ‘Count’, ‘Bytes’, ‘Seconds’, ‘Percent’, ‘CountPerSecond’, ‘BytesPerSecond’, ‘Milliseconds’

class `azure.mgmt.cosmosdb.models.``MetricName`(**kwargs)

  Bases: `msrest.serialization.Model`

  A metric name.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - value (str) – The name of the metric.
  - localized_value (str) – The friendly name of the metric.

class `azure.mgmt.cosmosdb.models.``MetricValue`(**kwargs)

  Bases: `msrest.serialization.Model`

  Represents metrics values.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - _count (float) – The number of values for the metric.
  - average (float) – The average value of the metric.
  - maximum (float) – The max value of the metric.
  - minimum (float) – The min value of the metric.
  - timestamp (datetime) – The metric timestamp (ISO-8601 format).
  - total (float) – The total value of the metric.

class `azure.mgmt.cosmosdb.models.``MongoDBCollectionCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB MongoDB collection.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (MongoDBCollectionResource) – Required. The standard JSON format of a MongoDB collection
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``MongoDBCollectionGetPropertiesResource`(*, id: str, shard_key=None, indexes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  MongoDBCollectionGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB MongoDB collection
  - shard_key (dict[str, str]) – A key-value pair of shard keys to be applied for the request.
  - indexes (list[MongoIndex]) – List of index keys

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``MongoDBCollectionGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB MongoDB collection.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (MongoDBCollectionGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``MongoDBCollectionResource`(*, id: str, shard_key=None, indexes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB MongoDB collection resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB MongoDB collection
  - shard_key (dict[str, str]) – A key-value pair of shard keys to be applied for the request.
  - indexes (list[MongoIndex]) – List of index keys

class `azure.mgmt.cosmosdb.models.``MongoDBDatabaseCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB MongoDB database.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (MongoDBDatabaseResource) – Required. The standard JSON format of a MongoDB database
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``MongoDBDatabaseGetPropertiesResource`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  MongoDBDatabaseGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Name of the Cosmos DB MongoDB database

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``MongoDBDatabaseGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB MongoDB database.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (MongoDBDatabaseGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``MongoDBDatabaseResource`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB MongoDB database resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Name of the Cosmos DB MongoDB database

class `azure.mgmt.cosmosdb.models.``MongoIndex`(*, key=None, options=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB MongoDB collection index key.

  Parameters:

  - key (MongoIndexKeys) – Cosmos DB MongoDB collection index keys
  - options (MongoIndexOptions) – Cosmos DB MongoDB collection index key options

class `azure.mgmt.cosmosdb.models.``MongoIndexKeys`(*, keys=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB MongoDB collection resource object.

  Parameters: | keys (list[str]) – List of keys for each MongoDB collection in the Azure Cosmos DB service

class `azure.mgmt.cosmosdb.models.``MongoIndexOptions`(*, expire_after_seconds: int = None, unique: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB MongoDB collection index options.

  Parameters:

  - expire_after_seconds (int) – Expire after seconds
  - unique (bool) – Is unique or not

class `azure.mgmt.cosmosdb.models.``Operation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  REST API operation.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}
  - display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.cosmosdb.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Parameters:

  - provider (str) – Service provider: Microsoft.ResourceProvider
  - resource (str) – Resource on which the operation is performed: Profile, endpoint, etc.
  - operation (str) – Operation type: Read, write, delete, etc.
  - description (str) – Description of operation

class `azure.mgmt.cosmosdb.models.``PartitionMetric`(*, unit=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.Metric`

  The metric values for a single partition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - start_time (datetime) – The start time for the metric (ISO-8601 format).
  - end_time (datetime) – The end time for the metric (ISO-8601 format).
  - time_grain (str) – The time grain to be used to summarize the metric values.
  - name (MetricName) – The name information for the metric.
  - metric_values (list[MetricValue]) – The metric values for the specified time window and timestep.
  - partition_id (str) – The partition id (GUID identifier) of the metric values.
  - partition_key_range_id (str) – The partition key range id (integer identifier) of the metric values.

  Parameters: | unit (str or UnitType) – The unit of the metric. Possible values include: ‘Count’, ‘Bytes’, ‘Seconds’, ‘Percent’, ‘CountPerSecond’, ‘BytesPerSecond’, ‘Milliseconds’

class `azure.mgmt.cosmosdb.models.``PartitionUsage`(*, unit=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.Usage`

  The partition level usage data for a usage request.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | unit (str or UnitType) – The unit of the metric. Possible values include: ‘Count’, ‘Bytes’, ‘Seconds’, ‘Percent’, ‘CountPerSecond’, ‘BytesPerSecond’, ‘Milliseconds’

  Variables:

  - name (MetricName) – The name information for the metric.
  - quota_period (str) – The quota period used to summarize the usage values.
  - limit (long) – Maximum value for this metric
  - current_value (long) – Current value for this metric
  - partition_id (str) – The partition id (GUID identifier) of the usages.
  - partition_key_range_id (str) – The partition key range id (integer identifier) of the usages.

class `azure.mgmt.cosmosdb.models.``PercentileMetric`(*, unit=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Percentile Metric data.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - start_time (datetime) – The start time for the metric (ISO-8601 format).
  - end_time (datetime) – The end time for the metric (ISO-8601 format).
  - time_grain (str) – The time grain to be used to summarize the metric values.
  - name (MetricName) – The name information for the metric.
  - metric_values (list[PercentileMetricValue]) – The percentile metric values for the specified time window and timestep.

  Parameters: | unit (str or UnitType) – The unit of the metric. Possible values include: ‘Count’, ‘Bytes’, ‘Seconds’, ‘Percent’, ‘CountPerSecond’, ‘BytesPerSecond’, ‘Milliseconds’

class `azure.mgmt.cosmosdb.models.``PercentileMetricValue`(**kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.MetricValue`

  Represents percentile metrics values.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - _count (float) – The number of values for the metric.
  - average (float) – The average value of the metric.
  - maximum (float) – The max value of the metric.
  - minimum (float) – The min value of the metric.
  - timestamp (datetime) – The metric timestamp (ISO-8601 format).
  - total (float) – The total value of the metric.
  - p10 (float) – The 10th percentile value for the metric.
  - p25 (float) – The 25th percentile value for the metric.
  - p50 (float) – The 50th percentile value for the metric.
  - p75 (float) – The 75th percentile value for the metric.
  - p90 (float) – The 90th percentile value for the metric.
  - p95 (float) – The 95th percentile value for the metric.
  - p99 (float) – The 99th percentile value for the metric.

class `azure.mgmt.cosmosdb.models.``PrivateEndpointConnection`(*, private_endpoint=None, private_link_service_connection_state=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ProxyResource`

  A private endpoint connection.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

  Parameters:

  - private_endpoint (PrivateEndpointProperty) – Private endpoint which the connection belongs to.
  - private_link_service_connection_state (PrivateLinkServiceConnectionStateProperty) – Connection State of the Private Endpoint Connection.

class `azure.mgmt.cosmosdb.models.``PrivateEndpointProperty`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Private endpoint which the connection belongs to.

  Parameters: | id (str) – Resource id of the private endpoint.

class `azure.mgmt.cosmosdb.models.``PrivateLinkResource`(**kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMProxyResource`

  A private link resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the database account.
  - name (str) – The name of the database account.
  - type (str) – The type of Azure resource.
  - group_id (str) – The private link resource group id.
  - required_members (list[str]) – The private link resource required member names.

class `azure.mgmt.cosmosdb.models.``PrivateLinkServiceConnectionStateProperty`(*, status: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Connection State of the Private Endpoint Connection.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - status (str) – The private link service connection status.
  - description (str) – The private link service connection description.

  Variables: | actions_required (str) – Any action that is required beyond basic workflow (approve/ reject/ disconnect)

class `azure.mgmt.cosmosdb.models.``ProxyResource`(**kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.Resource`

  The resource model definition for a ARM proxy resource. It will have everything other than required location and tags.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

class `azure.mgmt.cosmosdb.models.``RegionForOnlineOffline`(*, region: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB region to online or offline.

  All required parameters must be populated in order to send to Azure.

  Parameters: | region (str) – Required. Cosmos DB region, with spaces between words and each word capitalized.

class `azure.mgmt.cosmosdb.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

class `azure.mgmt.cosmosdb.models.``SpatialSpec`(*, path: str = None, types=None, **kwargs)

  Bases: `msrest.serialization.Model`

  SpatialSpec.

  Parameters:

  - path (str) – The path for which the indexing behavior applies to. Index paths typically start with root and end with wildcard (/path/*)
  - types (list[str or SpatialType]) – List of path’s spatial type

class `azure.mgmt.cosmosdb.models.``SqlContainerCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB container.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (SqlContainerResource) – Required. The standard JSON format of a container
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``SqlContainerGetPropertiesResource`(*, id: str, indexing_policy=None, partition_key=None, default_ttl: int = None, unique_key_policy=None, conflict_resolution_policy=None, **kwargs)

  Bases: `msrest.serialization.Model`

  SqlContainerGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB SQL container
  - indexing_policy (IndexingPolicy) – The configuration of the indexing policy. By default, the indexing is automatic for all document paths within the container
  - partition_key (ContainerPartitionKey) – The configuration of the partition key to be used for partitioning data into multiple partitions
  - default_ttl (int) – Default time to live
  - unique_key_policy (UniqueKeyPolicy) – The unique key policy configuration for specifying uniqueness constraints on documents in the collection in the Azure Cosmos DB service.
  - conflict_resolution_policy (ConflictResolutionPolicy) – The conflict resolution policy for the container.

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``SqlContainerGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB container.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (SqlContainerGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``SqlContainerResource`(*, id: str, indexing_policy=None, partition_key=None, default_ttl: int = None, unique_key_policy=None, conflict_resolution_policy=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB SQL container resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB SQL container
  - indexing_policy (IndexingPolicy) – The configuration of the indexing policy. By default, the indexing is automatic for all document paths within the container
  - partition_key (ContainerPartitionKey) – The configuration of the partition key to be used for partitioning data into multiple partitions
  - default_ttl (int) – Default time to live
  - unique_key_policy (UniqueKeyPolicy) – The unique key policy configuration for specifying uniqueness constraints on documents in the collection in the Azure Cosmos DB service.
  - conflict_resolution_policy (ConflictResolutionPolicy) – The conflict resolution policy for the container.

class `azure.mgmt.cosmosdb.models.``SqlDatabaseCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB SQL database.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (SqlDatabaseResource) – Required. The standard JSON format of a SQL database
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``SqlDatabaseGetPropertiesResource`(*, id: str, _colls: str = None, _users: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SqlDatabaseGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB SQL database
  - _colls (str) – A system generated property that specified the addressable path of the collections resource.
  - _users (str) – A system generated property that specifies the addressable path of the users resource.

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``SqlDatabaseGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB SQL database.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (SqlDatabaseGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``SqlDatabaseResource`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB SQL database resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Name of the Cosmos DB SQL database

class `azure.mgmt.cosmosdb.models.``SqlStoredProcedureCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB storedProcedure.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (SqlStoredProcedureResource) – Required. The standard JSON format of a storedProcedure
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``SqlStoredProcedureGetPropertiesResource`(*, id: str, body: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SqlStoredProcedureGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB SQL storedProcedure
  - body (str) – Body of the Stored Procedure

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``SqlStoredProcedureGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB storedProcedure.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (SqlStoredProcedureGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``SqlStoredProcedureResource`(*, id: str, body: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB SQL storedProcedure resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB SQL storedProcedure
  - body (str) – Body of the Stored Procedure

class `azure.mgmt.cosmosdb.models.``SqlTriggerCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB trigger.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (SqlTriggerResource) – Required. The standard JSON format of a trigger
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``SqlTriggerGetPropertiesResource`(*, id: str, body: str = None, trigger_type=None, trigger_operation=None, **kwargs)

  Bases: `msrest.serialization.Model`

  SqlTriggerGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB SQL trigger
  - body (str) – Body of the Trigger
  - trigger_type (str or TriggerType) – Type of the Trigger. Possible values include: ‘Pre’, ‘Post’
  - trigger_operation (str or TriggerOperation) – The operation the trigger is associated with. Possible values include: ‘All’, ‘Create’, ‘Update’, ‘Delete’, ‘Replace’

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``SqlTriggerGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB trigger.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (SqlTriggerGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``SqlTriggerResource`(*, id: str, body: str = None, trigger_type=None, trigger_operation=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB SQL trigger resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB SQL trigger
  - body (str) – Body of the Trigger
  - trigger_type (str or TriggerType) – Type of the Trigger. Possible values include: ‘Pre’, ‘Post’
  - trigger_operation (str or TriggerOperation) – The operation the trigger is associated with. Possible values include: ‘All’, ‘Create’, ‘Update’, ‘Delete’, ‘Replace’

class `azure.mgmt.cosmosdb.models.``SqlUserDefinedFunctionCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB userDefinedFunction.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (SqlUserDefinedFunctionResource) – Required. The standard JSON format of a userDefinedFunction
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``SqlUserDefinedFunctionGetPropertiesResource`(*, id: str, body: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  SqlUserDefinedFunctionGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB SQL userDefinedFunction
  - body (str) – Body of the User Defined Function

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``SqlUserDefinedFunctionGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB userDefinedFunction.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (SqlUserDefinedFunctionGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``SqlUserDefinedFunctionResource`(*, id: str, body: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB SQL userDefinedFunction resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – Required. Name of the Cosmos DB SQL userDefinedFunction
  - body (str) – Body of the User Defined Function

class `azure.mgmt.cosmosdb.models.``TableCreateUpdateParameters`(*, resource, options, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to create and update Cosmos DB Table.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (TableResource) – Required. The standard JSON format of a Table
  - options (dict[str, str]) – Required. A key-value pair of options to be applied for the request. This corresponds to the headers sent with the request.

class `azure.mgmt.cosmosdb.models.``TableGetPropertiesResource`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  TableGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Name of the Cosmos DB table

  Variables:

  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``TableGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB Table.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (TableGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``TableResource`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB table resource object.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. Name of the Cosmos DB table

class `azure.mgmt.cosmosdb.models.``ThroughputSettingsGetPropertiesResource`(*, throughput: int, **kwargs)

  Bases: `msrest.serialization.Model`

  ThroughputSettingsGetPropertiesResource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | throughput (int) – Required. Value of the Cosmos DB resource throughput

  Variables:

  - minimum_throughput (str) – The minimum throughput of the resource
  - offer_replace_pending (str) – The throughput replace is pending
  - _rid (str) – A system generated property. A unique identifier.
  - _ts (object) – A system generated property that denotes the last updated timestamp of the resource.
  - _etag (str) – A system generated property representing the resource etag required for optimistic concurrency control.

class `azure.mgmt.cosmosdb.models.``ThroughputSettingsGetResults`(*, location: str = None, tags=None, resource=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  An Azure Cosmos DB resource throughput.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (ThroughputSettingsGetPropertiesResource) –

class `azure.mgmt.cosmosdb.models.``ThroughputSettingsResource`(*, throughput: int, **kwargs)

  Bases: `msrest.serialization.Model`

  Cosmos DB resource throughput object.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | throughput (int) – Required. Value of the Cosmos DB resource throughput

  Variables:

  - minimum_throughput (str) – The minimum throughput of the resource
  - offer_replace_pending (str) – The throughput replace is pending

class `azure.mgmt.cosmosdb.models.``ThroughputSettingsUpdateParameters`(*, resource, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.ARMResourceProperties`

  Parameters to update Cosmos DB resource throughput.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The unique resource identifier of the ARM resource.
  - name (str) – The name of the ARM resource.
  - type (str) – The type of Azure resource.

  Parameters:

  - location (str) – The location of the resource group to which the resource belongs.
  - tags (dict[str, str]) –
  - resource (ThroughputSettingsResource) – Required. The standard JSON format of a resource throughput

class `azure.mgmt.cosmosdb.models.``TrackedResource`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.cosmosdb.models._models_py3.Resource`

  The resource model definition for a ARM tracked top level resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – Required. The geo-location where the resource lives

class `azure.mgmt.cosmosdb.models.``UniqueKey`(*, paths=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The unique key on that enforces uniqueness constraint on documents in the collection in the Azure Cosmos DB service.

  Parameters: | paths (list[str]) – List of paths must be unique for each document in the Azure Cosmos DB service

class `azure.mgmt.cosmosdb.models.``UniqueKeyPolicy`(*, unique_keys=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The unique key policy configuration for specifying uniqueness constraints on documents in the collection in the Azure Cosmos DB service.

  Parameters: | unique_keys (list[UniqueKey]) – List of unique keys on that enforces uniqueness constraint on documents in the collection in the Azure Cosmos DB service.

class `azure.mgmt.cosmosdb.models.``Usage`(*, unit=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The usage data for a usage request.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | unit (str or UnitType) – The unit of the metric. Possible values include: ‘Count’, ‘Bytes’, ‘Seconds’, ‘Percent’, ‘CountPerSecond’, ‘BytesPerSecond’, ‘Milliseconds’

  Variables:

  - name (MetricName) – The name information for the metric.
  - quota_period (str) – The quota period used to summarize the usage values.
  - limit (long) – Maximum value for this metric
  - current_value (long) – Current value for this metric

class `azure.mgmt.cosmosdb.models.``VirtualNetworkRule`(*, id: str = None, ignore_missing_vnet_service_endpoint: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Virtual Network ACL Rule object.

  Parameters:

  - id (str) – Resource ID of a subnet, for example: /subscriptions/{subscriptionId}/resourceGroups/{groupName}/providers/Microsoft.Network/virtualNetworks/{virtualNetworkName}/subnets/{subnetName}.
  - ignore_missing_vnet_service_endpoint (bool) – Create firewall rule before the virtual network has vnet service endpoint enabled.

class `azure.mgmt.cosmosdb.models.``DatabaseAccountGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DatabaseAccountGetResults` object

class `azure.mgmt.cosmosdb.models.``MetricPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Metric` object

class `azure.mgmt.cosmosdb.models.``UsagePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Usage` object

class `azure.mgmt.cosmosdb.models.``MetricDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `MetricDefinition` object

class `azure.mgmt.cosmosdb.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.cosmosdb.models.``PercentileMetricPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `PercentileMetric` object

class `azure.mgmt.cosmosdb.models.``PartitionMetricPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `PartitionMetric` object

class `azure.mgmt.cosmosdb.models.``PartitionUsagePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `PartitionUsage` object

class `azure.mgmt.cosmosdb.models.``SqlDatabaseGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SqlDatabaseGetResults` object

class `azure.mgmt.cosmosdb.models.``SqlContainerGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SqlContainerGetResults` object

class `azure.mgmt.cosmosdb.models.``SqlStoredProcedureGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SqlStoredProcedureGetResults` object

class `azure.mgmt.cosmosdb.models.``SqlUserDefinedFunctionGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SqlUserDefinedFunctionGetResults` object

class `azure.mgmt.cosmosdb.models.``SqlTriggerGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SqlTriggerGetResults` object

class `azure.mgmt.cosmosdb.models.``MongoDBDatabaseGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `MongoDBDatabaseGetResults` object

class `azure.mgmt.cosmosdb.models.``MongoDBCollectionGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `MongoDBCollectionGetResults` object

class `azure.mgmt.cosmosdb.models.``TableGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `TableGetResults` object

class `azure.mgmt.cosmosdb.models.``CassandraKeyspaceGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `CassandraKeyspaceGetResults` object

class `azure.mgmt.cosmosdb.models.``CassandraTableGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `CassandraTableGetResults` object

class `azure.mgmt.cosmosdb.models.``GremlinDatabaseGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `GremlinDatabaseGetResults` object

class `azure.mgmt.cosmosdb.models.``GremlinGraphGetResultsPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `GremlinGraphGetResults` object

class `azure.mgmt.cosmosdb.models.``PrivateLinkResourcePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `PrivateLinkResource` object

class `azure.mgmt.cosmosdb.models.``PrivateEndpointConnectionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `PrivateEndpointConnection` object

class `azure.mgmt.cosmosdb.models.``DatabaseAccountKind`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `global_document_db` = 'GlobalDocumentDB'
  `mongo_db` = 'MongoDB'
  `parse` = 'Parse'

class `azure.mgmt.cosmosdb.models.``DatabaseAccountOfferType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `standard` = 'Standard'

class `azure.mgmt.cosmosdb.models.``DefaultConsistencyLevel`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `bounded_staleness` = 'BoundedStaleness'
  `consistent_prefix` = 'ConsistentPrefix'
  `eventual` = 'Eventual'
  `session` = 'Session'
  `strong` = 'Strong'

class `azure.mgmt.cosmosdb.models.``ConnectorOffer`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `small` = 'Small'

class `azure.mgmt.cosmosdb.models.``IndexingMode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `consistent` = 'Consistent'
  `lazy` = 'Lazy'
  `none` = 'None'

class `azure.mgmt.cosmosdb.models.``DataType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `line_string` = 'LineString'
  `multi_polygon` = 'MultiPolygon'
  `number` = 'Number'
  `point` = 'Point'
  `polygon` = 'Polygon'
  `string` = 'String'

class `azure.mgmt.cosmosdb.models.``IndexKind`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `hash` = 'Hash'
  `range` = 'Range'
  `spatial` = 'Spatial'

class `azure.mgmt.cosmosdb.models.``CompositePathSortOrder`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `ascending` = 'Ascending'
  `descending` = 'Descending'

class `azure.mgmt.cosmosdb.models.``SpatialType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `line_string` = 'LineString'
  `multi_polygon` = 'MultiPolygon'
  `point` = 'Point'
  `polygon` = 'Polygon'

class `azure.mgmt.cosmosdb.models.``PartitionKind`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `hash` = 'Hash'
  `range` = 'Range'

class `azure.mgmt.cosmosdb.models.``ConflictResolutionMode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `custom` = 'Custom'
  `last_writer_wins` = 'LastWriterWins'

class `azure.mgmt.cosmosdb.models.``TriggerType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `post` = 'Post'
  `pre` = 'Pre'

class `azure.mgmt.cosmosdb.models.``TriggerOperation`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `all` = 'All'
  `create` = 'Create'
  `delete` = 'Delete'
  `replace` = 'Replace'
  `update` = 'Update'

class `azure.mgmt.cosmosdb.models.``KeyKind`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `primary` = 'primary'
  `primary_readonly` = 'primaryReadonly'
  `secondary` = 'secondary'
  `secondary_readonly` = 'secondaryReadonly'

class `azure.mgmt.cosmosdb.models.``UnitType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `bytes` = 'Bytes'
  `bytes_per_second` = 'BytesPerSecond'
  `count` = 'Count'
  `count_per_second` = 'CountPerSecond'
  `milliseconds` = 'Milliseconds'
  `percent` = 'Percent'
  `seconds` = 'Seconds'

class `azure.mgmt.cosmosdb.models.``PrimaryAggregationType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `average` = 'Average'
  `last` = 'Last'
  `maximum` = 'Maximum'
  `minimum` = 'Minimum'
  `none` = 'None'
  `total` = 'Total'